EC2, PHP7.4, php-zip

0

Hi all. Standard EC2 instance.

sudo yum update
sudo amazon-linux-extras install php7.4
sudo yum install php-mbstring php-dom php-pgsql - all good.
sudo yum install php-zip

why does php-zip always want to install "php-common-5.4.16-46.amzn2.0.2.x86_64" ??

any suggestions appreciated.

[]$ sudo yum install php-zip
Loaded plugins: extras_suggestions, langpacks, priorities, update-motd
Resolving Dependencies
--> Running transaction check
---> Package php-common.x86_64 0:5.4.16-46.amzn2.0.2 will be installed
--> Processing Dependency: libzip.so.2()(64bit) for package: php-common-5.4.16-46.amzn2.0.2.x86_64
--> Running transaction check
---> Package libzip010-compat.x86_64 0:0.10.1-9.amzn2.0.5 will be installed
--> Finished Dependency Resolution

Edited by: Zitan on Mar 15, 2020 2:28 PM

Zitan
asked 3 years ago242 views
3 Answers
0

sudo amazon-linux-extras install epel
sudo yum install epel-release
yum install http://rpms.remirepo.net/enterprise/remi-release-7.rpm
sudo yum install php74-php-pecl-zip.x86_64
sudo cp /opt/remi/php74/root/usr/lib64/php/modules/zip.so /usr/lib64/php/modules/zip.so
sudo nano /etc/php.d/40-zip.ini
extension=zip.so

Zitan
answered 3 years ago
0

Be great to have repos updated to not have to do the above cheers. Php 7.4

Zitan
answered 3 years ago
0

It seems that the repository has been fixed.
The zip extension was bundled with php-cli-7.4.4-1.amzn2.

$ docker pull amazonlinux2:latest
$ docker run -it --rm amazonlinux:latest /bin/bash -c 'amazon-linux-extras install -y php7.4 && php -i'

...
zip

Zip => enabled
Zip version => 1.15.6
Libzip headers version => 1.3.2
Libzip library version => 1.3.2
...
answered 3 years ago

You are not logged in. Log in to post an answer.

A good answer clearly answers the question and provides constructive feedback and encourages professional growth in the question asker.

Guidelines for Answering Questions